<?php

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

$aam_cta1 = false;
if ($this->get_option('cta1_img')) {
	$aam_cta1 = array(
		'img' => wp_get_attachment_image_src( $this->get_option('cta1_img') , 'large')[0],
		'url' => $this->parse_link_option($this->get_option('cta1_link'))
	);
}

$aam_cta2 = false;
if ($this->get_option('cta2_img')) {
	$aam_cta2 = array(
		'img' => wp_get_attachment_image_src( $this->get_option('cta2_img') , 'large')[0],
		'url' => $this->parse_link_option($this->get_option('cta2_link'))
	);
}

$aam_formfields = $this->get_option('formfields');

$aam_privacy_mode = $this->get_option('privacy_mode');
$aam_privacy_text = $this->get_option('privacy_text');
$aam_privacy_link = $this->parse_link_option($this->get_option('privacy_link'));
?>

<?php if ($this->view == 'calendar') { ?>
<div id="atom-aam-modal-close"><?php _e('Choose another date', 'atom-appointment-management'); ?></div>
<?php } ?>

<div class="atom-modal-content">

	<?php if ($this->view == 'list') { ?>
	<div id="atom-aam-modal-close">&times;</div>
	<?php } ?>

	<div class="atom-modal-box left">
		<h2 class="atom-title"></h2>
		<h3>
			<span class="atom-date"></span>
			<span class="atom-time"></span>
		</h3>
		<a href="" class="atom-moreinfo" target="_blank"><?php _e('More information', 'atom-appointment-management'); ?></a>

		<div id="atom-aam-form">

			<?php
			foreach ($aam_formfields as $key => $field) {
				$required_label = (isset($field['required']) && $field['required']) ? ' *" data-required="true' : '" data-required="false';

				switch($field['type']) {
					case 'text':
					case 'tel':
					case 'email':
						echo '<input class="atom-aam-input" id="atom-aam-input-' . $field['id'] . '" type="' . $field['type'] . '" placeholder="' . $field['label'] . $required_label . '">';
						break;
				}
			}
			?>

			<?php if ($aam_privacy_mode) { ?>
				<label for="atom-aam-consent">
					<input id="atom-aam-consent" name="atom-consent" type="checkbox" />
					<span><?php echo $aam_privacy_text; ?></span>
				</label>
				<?php if (!empty($aam_privacy_link) && $aam_privacy_link != '#') { ?>
					<a href="<?php echo $aam_privacy_link; ?>" target="_blank" class="atom-privacy-link"><?php _e('More information on our privacy policy', 'atom-appointment-management'); ?></a>
				<?php } ?>
			<?php } ?>

			<button type="button" id="atom-aam-form-send">
				<?php _e('Make appointment', 'atom-appointment-management'); ?>
			</button>
			<span style="display:none;" id="aam-button-loading-string"><?php _e('Sending...', 'atom-appointment-management'); ?></span>
			<span style="display:none;" id="aam-button-error-string"><?php _e('Error, please try again', 'atom-appointment-management'); ?></span>
		</div>
	</div>
	<div class="atom-modal-box right">
		<?php
		echo $this->get_option('modal_infotext');

		if (current_user_can('administrator')) {
		?>
			<div class="atom-aam-admin" id="atom-admin-rule">
				<button type="button" class="atom-aam-single-exception"><?php _e('Remove this time slot', 'atom-appointment-management'); ?></button>
				<button type="button" class="atom-aam-category-exception"><?php _e('Remove all time slots of this category on this day', 'atom-appointment-management'); ?></button>
				<button type="button" class="atom-aam-day-exception"><?php _e('Remove all time slots on this day', 'atom-appointment-management'); ?></button>
			</div>
			<div class="atom-aam-admin" id="atom-admin-single">
				<button type="button" class="atom-aam-remove-slot"><?php _e('Remove this time slot', 'atom-appointment-management'); ?></button>
			</div>
			<div class="atom-aam-admin" id="atom-admin-recurring">
				<button type="button" class="atom-aam-remove-slot"><?php _e('Remove these time slots', 'atom-appointment-management'); ?></button>
			</div>
		<?php
		}
		?>

	</div>

	<div id="atom-aam-confirmation">
		<div class="atom-confirmation-container">
			<h2 class="atom-date"></h2>
			<h3><span class="atom-time"></span></h3>
			<p><?php echo sprintf(__('Thank you for contacting us. You will get notified at %s when the appointment has been confirmed.', 'atom-appointment-management'), '<span class="atom-email"></span>'); ?></p>

			<?php if ($aam_cta1 || $aam_cta2) { ?>
			<div class="atom-confirmation-ctas">
				<?php if ($aam_cta1) { ?>
					<a href="<?php echo $aam_cta1['url']; ?>" class="atom-confirmation-cta">
						<img src="<?php echo $aam_cta1['img']; ?>" alt="">
					</a>
				<?php } ?>

				<?php if ($aam_cta2) { ?>
					<a href="<?php echo $aam_cta2['url']; ?>" class="atom-confirmation-cta">
						<img src="<?php echo $aam_cta2['img']; ?>" alt="">
					</a>
				<?php } ?>
			</div>
			<?php } ?>

		</div>
	</div>

</div>
